from setuptools import setup, find_packages


setup(
    name='drf_share_token',
    version='0.1.3',
    author="Alban DEFLANDRE",
    author_email='alban@safecube.com',
    license='BSD',
    description='Customizable authentication token to share one resource',
    packages=find_packages('.', exclude=['drf_share_token.tests']),
    # package_dir={'': 'drf_share_token'},
    url='https://github.com/safecube/drf_share_token',
    install_requires=["django>=2.2",
                      "djangorestframework",
                      "pyjwt>=1.7.1,<3"],
    python_requires=">=3.6",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 2.2',
        'Framework :: Django :: 3.0',
        'Framework :: Django :: 3.1',
        'Framework :: Django :: 3.2',
        'Framework :: Django :: 4.0',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3 :: Only',
        'Topic :: Internet :: WWW/HTTP',
    ],
)
